(function($) {
	var $wp_inline_edit = inlineEditPost.edit;

	inlineEditPost.edit = function( id ) {
		$wp_inline_edit.apply( this, arguments );

		var $post_id = 0;
		if ( typeof( id ) == 'object' )
			$post_id = parseInt( this.getId( id ) );

		if ( $post_id > 0 ) {
			var $edit_row = $( '#edit-' + $post_id );
			var $post_row = $( '#post-' + $post_id );

			//SEOタイトル
			var $hseotitle = $( '.column-seo_title', $post_row ).html();
			$( ':input[name="seo_title"]', $edit_row ).val( $hseotitle );

			//説明文
			var $hseodescription = $( '.column-meta_description', $post_row ).html();
			$( ':input[name="meta_description"]', $edit_row ).val( $hseodescription );

			//キーワード
			var $hseodeyword = $( '.column-meta_keywords', $post_row ).html();
			$( ':input[name="meta_keywords"]', $edit_row ).val( $hseodeyword );

			//Noindex
			var $is_noindex_text = $( '.column-is_noindex', $post_row ).text().trim();
			$( ':input[name="is_noindex"]', $edit_row ).prop( 'checked', ( $is_noindex_text === '〇' ) );

			// --- Nofollowも同様にある場合 ---
			var $is_nofollow_text = $( '.column-is_nofollow', $post_row ).text().trim();
			$( ':input[name="is_nofollow"]', $edit_row ).prop( 'checked', ( $is_nofollow_text === '〇' ) );

		}
	};
})(jQuery);

(function($) {
	var $wp_inline_edit = inlineEditPost.edit;
	inlineEditPost.edit = function(id) {
		$wp_inline_edit.apply(this, arguments);

		var $post_id = 0;
		if (typeof(id) === 'object') {
			$post_id = parseInt(this.getId(id), 10);
		}

		if ($post_id > 0) {
			var $edit_row = $('#edit-' + $post_id);
			var $post_row = $('#post-' + $post_id);

			// 「抜粋（作業用）」列から値を取得し、フォームにセット
			var temp_excerpt = $('.column-temp_excerpt', $post_row).text().trim();
			$(':input[name="temp_excerpt"]', $edit_row).val(temp_excerpt);
		}
	};
})(jQuery);